package view;

import java.awt.List;
import model.*;
import javax.swing.*;
import control.*;

/**
 * 
 * @author SELVAGGIO GIANLUCA
 * @version 1.0
 * LIST OF THE RESEARCH RESULT'S
 */
public class ResultPage extends JFrame{
	
	private MyList dataList;
	private List list;
	private JPanel resultPanel;	
	private AgentFind agent;
	private DefaultListModel model;
	private boolean matchsearch;
	
	public ResultPage(List list,AgentFind a,boolean ms){
		super("RESULT FORM");
		resultPanel=new JPanel();
		this.list=list;
		agent=a;
		matchsearch=ms;
		model=new DefaultListModel();
		dataList = new MyList();
		if(matchsearch){
			for(int i=0;i<this.list.getItemCount();i=i+7){
				model.addElement("<html>"+list.getItem(i+1)+"</html>");
				dataList.mySetToolTipText("<html>"+this.list.getItem(i+1)+"<br>"+this.list.getItem(i+4)+"<br>"+this.list.getItem(i+5)+"<br>"+this.list.getItem(i+3).length()+"<br>"+this.list.getItem(i+6)+"</html>");
				
			}
		}else{
			for(int i=0;i<this.list.getItemCount();i=i+2){
				model.addElement(list.getItem(i+1));
			}
		}
		dataList.setModel(model); 
		ToolTipManager.sharedInstance().registerComponent(dataList);
		JScrollPane scrollPane = new JScrollPane(dataList);
		resultPanel.add(scrollPane);
		add(resultPanel);
		pack();
		dataList.addMouseListener(new SelectAndSearch(dataList,this.list,agent,this,matchsearch));
	}
}
